package com.ruoyi.common.core.enums;

/**
 * 设备类型
 *
 * @author ruoyi
 */
public enum ResultStatus {
    // 结果状态 0：正常  1：异常
    NORMAL(0, "正常"),
    ABNORMAL(1, "异常");

    /**
     * The Code.
     *
     * @author chen.cheng
     */
    private final Integer code;

    /**
     * The Info.
     *
     * @author chen.cheng
     */
    private final String info;

    /**
     * Instantiates a new Fac types.
     *
     * @param code the code
     * @param info the info
     * @author chen.cheng
     */
    ResultStatus(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * Gets code.
     *
     * @return the code
     * @author chen.cheng
     */
    public Integer getCode() {
        return code;
    }

    /**
     * Gets info.
     *
     * @return the info
     * @author chen.cheng
     */
    public String getInfo() {
        return info;
    }
}
